=== debian/changelog ===
libnb-platform18-java (8.1+dfsg1-7) unstable; urgency=medium

  * Sync osgi-update.patch with latest version of libequinox-osgi-java.
  * Use compat level 11.
  * Declare compliance with Debian Policy 4.1.3.
  * Tighten B-D on libequinox-osgi-java.

 -- Markus Koschany <apo@debian.org>  Wed, 21 Feb 2018 17:27:35 +0100

libnb-platform18-java (8.1+dfsg1-6) unstable; urgency=medium

  * Add jna-4.4.0-compatibility.patch and fix FTBFS with JNA 4.4.0.
    Thanks to Lucas Nussbaum for the report. (Closes: #868923)
  * Switch to compat level 10.
  * Use https for Format field.
  * Declare compliance with Debian Policy 4.0.0.
  * Tighten B-D on libjna-platform-java to >= 4.4.0.

 -- Markus Koschany <apo@debian.org>  Sun, 23 Jul 2017 17:22:32 +0200

libnb-platform18-java (8.1+dfsg1-5) unstable; urgency=medium

  * Use the correct name for libjna-jni library. (Closes: #858876)

 -- Markus Koschany <apo@debian.org>  Wed, 19 Apr 2017 21:50:21 +0200

libnb-platform18-java (8.1+dfsg1-4) unstable; urgency=medium

  * Add gcc-6-ftbfs.patch and fix FTBFS with GCC-6. (Closes: #835691)
    Thanks to Lucas Nussbaum for the report.

 -- Markus Koschany <apo@debian.org>  Sun, 28 Aug 2016 17:59:56 +0200

libnb-platform18-java (8.1+dfsg1-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 3.9.8.
  * Vcs-Git: Use https.
  * Set permit.jdk8.builds=true.
  * Fix include path to find jni_md.h.
    Thanks to Lucas Nussbaum for the report. (Closes: #830455)

 -- Markus Koschany <apo@debian.org>  Fri, 15 Jul 2016 02:06:50 +0200

libnb-platform18-java (8.1+dfsg1-2) unstable; urgency=medium

  * netbeans-platform-o.n.html.ko4j.patch: Readd apisupport.project module.

 -- Markus Koschany <apo@debian.org>  Thu, 31 Dec 2015 11:46:37 +0100

libnb-platform18-java (8.1+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 8.1+dfsg1.
  * orig-tar.sh: Use xz compression.
  * debian/rules: Remove conditional whether patches are applied or not.
  * Drop debian/patches/netbeans-platform-junit4.patch. Fixed upstream.
  * Refresh debian/patches/netbeans-platform-empty-binaries-list.patch
  * Refresh debian/patches/netbeans-platform-windowslauncher.patch
  * Add asm4-all.jar to linked-jars and build-depend on libasm4-java.
  * Add libhamcrest-java to Build-Depends and update linked-jars accordingly.
  * Add netbeans-platform-disable-net.java-modules.patch and disable the
    net.java.html module.
  * Add netbeans-platform-junitlib.patch to prevent a FTBFS.
  * Add netbeans-platform-o.n.html.ko4j.patch and disable o.n.html.ko4j module.
  * Update version of openide-* pom files.
  * Update my e-mail address.
  * libnb-platform18-java: Depend on libasm4-java and libhamcrest-java.
  * Install org-openide-util-ui.jar into libnb-org-openide-util-java.
    Apparently the old org-openide-util.jar was split into two jar files.
  * libnb-platform-devel-java: Tighten dependency on libnb-platform18-java.
  * debian/rules: Build with --parallel.

 -- Markus Koschany <apo@debian.org>  Wed, 30 Dec 2015 11:48:31 +0100

libnb-platform18-java (8.0.2+dfsg1-2) unstable; urgency=medium

  * Tighten dependency on felix-framework, osgi-core and osgi-compendium.
    Thanks to Mark Carroll for the report. (Closes: #799936)
  * Remove libstringtemplate-java from Build-Depends and do not symlink
    the jar file with linked-jars.
  * Tighten dependency on antlr3 to >= 3.4.
  * Vcs-Browser: Use https.

 -- Markus Koschany <apo@gambaru.de>  Thu, 24 Sep 2015 19:28:21 +0200
