=== debian/changelog ===
libnb-platform18-java (10.0-2build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:56:28 +0000

libnb-platform18-java (10.0-2) unstable; urgency=medium

  * Update platform-osgi-update.patch and return an
    UnsupportedOperationException instead of a NULL pointer.
  * Add AutoUpdate-NEVER.patch and set the defaultCheckInterval to NEVER to
    prevent automatic updates. This can be changed by users individually.
    (Closes: #842284)
  * Remove antlr-runtime symlink because it is not platform specific.

 -- Markus Koschany <apo@debian.org>  Fri, 25 Jan 2019 12:21:05 +0100

libnb-platform18-java (10.0-1) unstable; urgency=medium

  * New upstream version 10.0.
    - Fix FTBFS. (Closes: #876499)
  * Drop libnb-platform18-java-doc package.

 -- Markus Koschany <apo@debian.org>  Wed, 23 Jan 2019 14:39:07 +0100

libnb-platform18-java (8.1+dfsg1-8) unstable; urgency=medium

  * Add ant-10.patch to fix the FTBFS with Ant 1.10.
  * Add java9.patch and openide.util.enumerations.patch to fix the FTBFS with
    Java 9. (Closes: #893270)
  * Declare compliance with Debian Policy 4.1.4.

 -- Markus Koschany <apo@debian.org>  Tue, 24 Apr 2018 20:00:46 +0200
