=== debian/control ===
--- 
+++ 
@@ -11,34 +11,31 @@
  antlr3 (>= 3.4),
  debhelper (>= 11),
  default-jdk,
- g++-mingw-w64-i686,
- g++-mingw-w64-x86-64,
  javacc,
  javahelp2,
  javahelper,
  junit,
  junit4 (>= 4.6),
- libasm4-java,
+ libasm-java (>= 7.0),
  libbindex-java,
- libequinox-osgi-java (>= 3.9.1),
+ libequinox-osgi-java (>= 3.9.1-4),
  libfelix-framework-java (>= 4.6.1),
  libfelix-main-java,
  libhamcrest-java,
  libjemmy2-java,
  libjna-platform-java (>= 4.4.0),
- libjnlp-servlet-java,
+ libjsr305-java,
  libosgi-compendium-java (>= 5.0.0),
  libosgi-core-java (>= 6.0.0),
  libswing-layout-java (>= 1.0.3),
  maven-repo-helper,
  rdfind,
  symlinks,
- testng (>=6.8),
- w3c-sgml-lib
-Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/libnb-platform-java.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libnb-platform-java.git
-Homepage: http://netbeans.org/
+ testng (>=6.8)
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/java-team/libnb-platform-java.git
+Vcs-Browser: https://salsa.debian.org/java-team/libnb-platform-java
+Homepage: https://netbeans.org/
 
 Package: libnb-platform18-java
 Architecture: all
@@ -46,12 +43,13 @@
  antlr3 (>= 3.4),
  javahelp2,
  junit4 (>= 4.6),
- libasm4-java,
- libequinox-osgi-java,
+ libasm-java (>= 7.0),
+ libequinox-osgi-java (>= 3.9.1-4),
  libfelix-framework-java (>= 4.6.1),
  libfelix-main-java,
  libhamcrest-java,
  libjna-platform-java,
+ libjsr305-java,
  libnb-org-openide-modules-java (>= ${source:Version}),
  libnb-org-openide-util-java (>= ${source:Version}),
  libnb-org-openide-util-lookup-java (>= ${source:Version}),
@@ -61,8 +59,6 @@
  testng,
  ${java:Depends},
  ${misc:Depends}
-Suggests:
- libnb-platform18-java-doc
 Description: NetBeans Platform for building rich desktop applications in Java
  The NetBeans Platform is a framework for building rich desktop applications
  in Java. It provides the code that is required to connect actions to menu
@@ -91,20 +87,6 @@
  This package contains the NetBeans Platform Harness containing the build
  scripts and ant tasks required to build an application on top of NetBeans
  Platform.
-
-Package: libnb-platform18-java-doc
-Architecture: all
-Section: doc
-Depends:
- ${misc:Depends}
-Recommends:
- ${java:Recommends}
-Suggests:
- libnb-platform18-java
-Description: NetBeans Platform javadoc
- NetBeans Platform is a set of modules, each providing their own APIs
- and working together or in a standalone mode. This package provides
- one master javadoc to all of them.
 
 Package: libnb-org-openide-util-java
 Architecture: all
